Subject: bug#65803: 29.1; Noto Sans Mono CJK JP has doubled-width on Windows

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Sep 2023 11:01:43 +0300

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 10 Sep 2023 15:55:56 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > So you think it's okay to do the same in the w32 font backend,
> > i.e. take the average width from the font when the font is known to be
> > fixed-pitch?  If not, please elaborate, because that's what I
> > understand from what you wrote above.
> 
> I don't think it's okay, because the W32 font backend judges fonts that
> are not fixed pitch to be so; Noto Sans Mono CJK JP, for example.

How do you know that Noto Sans Mono CJK JP is handled as fixed-pitch
font by the w32 backend?  If you actually tried that with the
MS-Windows build, please tell how you saw it being handled as
fixed-pitch.